Child pages
  • Sakai SCORM player installation guide

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

  1. Check out the source from the sakai-wicket project
    Code Block
    svn co https://source.sakaiproject.org/contrib/edia/scorm/branches/2.6.x/ sakai-scorm
    
  2. Alternatively update the sakai version to your own version, if you do not intend to build 2.6-SNAPSHOT. Replace <OTHER_VERSION> with your version.
    Code Block
    find . -name pom.xml -exec sed -i s/2.6-SNAPSHOT/<OTHER_VERSION>/g {} \;
    
  3. Build the tool
    Code Block
    mvn clean install sakai:deploy -Dmaven.tomcat.home=<PATH_TO_SAKAI>
    

Sakai 2.7

Warning

The SCORM player makes use of the sakai-wicket project, which randomly crashes the JVM on java 1.6. To solve this, the sakai-wicket project needs to be ported to a 1.4 version of wicket. We ported the project to wicket 1.3.7, but have no resources / experience to do the 1.4 port. This means that, without the sakai-wicket project being updated, the SCORM player will not run on 2.7, just as any other project who makes use of sakai-wicket.

Diffs for 2.7: 2.7.txt
2.6 directions for Wicket work with the obvious version change

...